/**
 * @desc 树结构查询
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** 父级 id */
    pid?: number
}

export const init = new defs.Result()

export function request(params: Params, config?: axios.RequestConfig<Params>, options?: axios.RequestOptions) {
    return defHttp.request(
        {
            url: '/basic-api/manage/permission/tree',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
